Index: branches/1.3/gui/scripts/vtkglyphviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkglyphviewer.tcl	(revision 4828)
+++ branches/1.3/gui/scripts/vtkglyphviewer.tcl	(revision 4848)
@@ -1600,83 +1561,36 @@
     checkbutton $inner.glyphs \
         -text "Glyphs" \
-        -variable [itcl::scope _settings(-glyphvisible)] \
-        -command [itcl::code $this AdjustSetting -glyphvisible] \
+        -variable [itcl::scope _settings(glyphVisible)] \
+        -command [itcl::code $this AdjustSetting glyphVisible] \
         -font "Arial 9"
-
-    label $inner.gshape_l -text "Glyph shape" -font "Arial 9" 
-    itk_component add gshape {
-        Rappture::Combobox $inner.gshape -width 10 -editable no
-    }
-    $inner.gshape choices insert end \
-        "arrow"              "arrow"           \
-        "cone"               "cone"            \
-        "cube"               "cube"            \
-        "cylinder"           "cylinder"        \
-        "dodecahedron"       "dodecahedron"    \
-        "icosahedron"        "icosahedron"     \
-        "line"               "line"            \
-        "octahedron"         "octahedron"      \
-        "point"              "point"           \
-        "sphere"             "sphere"          \
-        "tetrahedron"        "tetrahedron"
-
-    $itk_component(gshape) value $_settings(-glyphshape)
-    bind $inner.gshape <<Value>> [itcl::code $this AdjustSetting -glyphshape]
-
-    label $inner.scaleMode_l -text "Scale by" -font "Arial 9" 
-    itk_component add scaleMode {
-        Rappture::Combobox $inner.scaleMode -width 10 -editable no
-    }
-    $inner.scaleMode choices insert end \
-        "scalar" "Scalar"            \
-        "vmag"   "Vector magnitude"  \
-        "vcomp"  "Vector components" \
-        "off"    "Constant size"
-
-    $itk_component(scaleMode) value "[$itk_component(scaleMode) label $_settings(-glyphscalemode)]"
-    bind $inner.scaleMode <<Value>> [itcl::code $this AdjustSetting -glyphscalemode]
-
-    checkbutton $inner.normscale \
-        -text "Normalize scaling" \
-        -variable [itcl::scope _settings(-glyphnormscale)] \
-        -command [itcl::code $this AdjustSetting -glyphnormscale] \
-        -font "Arial 9"
-    Rappture::Tooltip::for $inner.normscale "If enabled, field values are normalized to \[0,1\] before scaling and scale factor is relative to a default size"
-
-    checkbutton $inner.gorient \
-        -text "Orient" \
-        -variable [itcl::scope _settings(-glyphorient)] \
-        -command [itcl::code $this AdjustSetting -glyphorient] \
-        -font "Arial 9"
-    Rappture::Tooltip::for $inner.gorient "Orient glyphs by vector field directions"
 
     checkbutton $inner.wireframe \
         -text "Wireframe" \
-        -variable [itcl::scope _settings(-glyphwireframe)] \
-        -command [itcl::code $this AdjustSetting -glyphwireframe] \
+        -variable [itcl::scope _settings(glyphWireframe)] \
+        -command [itcl::code $this AdjustSetting glyphWireframe] \
         -font "Arial 9"
 
     checkbutton $inner.lighting \
         -text "Enable Lighting" \
-        -variable [itcl::scope _settings(-glyphlighting)] \
-        -command [itcl::code $this AdjustSetting -glyphlighting] \
+        -variable [itcl::scope _settings(glyphLighting)] \
+        -command [itcl::code $this AdjustSetting glyphLighting] \
         -font "Arial 9"
 
     checkbutton $inner.edges \
         -text "Edges" \
-        -variable [itcl::scope _settings(-glyphedges)] \
-        -command [itcl::code $this AdjustSetting -glyphedges] \
+        -variable [itcl::scope _settings(glyphEdges)] \
+        -command [itcl::code $this AdjustSetting glyphEdges] \
         -font "Arial 9"
 
     checkbutton $inner.outline \
         -text "Outline" \
-        -variable [itcl::scope _settings(-glyphoutline)] \
-        -command [itcl::code $this AdjustSetting -glyphoutline] \
+        -variable [itcl::scope _settings(glyphOutline)] \
+        -command [itcl::code $this AdjustSetting glyphOutline] \
         -font "Arial 9"
 
     checkbutton $inner.legend \
         -text "Legend" \
-        -variable [itcl::scope _settings(-legendvisible)] \
-        -command [itcl::code $this AdjustSetting -legendvisible] \
+        -variable [itcl::scope _settings(legendVisible)] \
+        -command [itcl::code $this AdjustSetting legendVisible] \
         -font "Arial 9"
 
@@ -1690,34 +1604,20 @@
         "grey"               "grey"             
 
-    $itk_component(background) value $_settings(-background)
-    bind $inner.background <<Value>> [itcl::code $this AdjustSetting -background]
+    $itk_component(background) value $_settings(background)
+    bind $inner.background <<Value>> [itcl::code $this AdjustSetting background]
 
     label $inner.opacity_l -text "Opacity" -font "Arial 9"
     ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
-        -variable [itcl::scope _settings(-glyphopacity)] \
+        -variable [itcl::scope _settings(glyphOpacity)] \
         -width 10 \
         -showvalue off \
-        -command [itcl::code $this AdjustSetting -glyphopacity]
-
-    label $inner.gscale_l -text "Scale factor" -font "Arial 9"
-    if {0} {
-    ::scale $inner.gscale -from 1 -to 100 -orient horizontal \
-        -variable [itcl::scope _settings(-glyphscale)] \
+        -command [itcl::code $this AdjustSetting glyphOpacity]
+
+    label $inner.scale_l -text "Scale" -font "Arial 9"
+    ::scale $inner.scale -from 1 -to 100 -orient horizontal \
+        -variable [itcl::scope _settings(glyphs-scale)] \
         -width 10 \
         -showvalue off \
-        -command [itcl::code $this AdjustSetting -glyphscale]
-    } else {
-    itk_component add gscale {
-        entry $inner.gscale -font "Arial 9" -bg white \
-            -textvariable [itcl::scope _settings(-glyphscale)]
-    } {
-        ignore -font -background
-    }
-    bind $inner.gscale <Return> \
-        [itcl::code $this AdjustSetting -glyphscale]
-    bind $inner.gscale <KP_Enter> \
-        [itcl::code $this AdjustSetting -glyphscale]
-    }
-    Rappture::Tooltip::for $inner.gscale "Set scaling multiplier (or constant size)"
+        -command [itcl::code $this AdjustSetting glyphs-scale]
 
     itk_component add field_l {
@@ -1730,5 +1630,5 @@
     }
     bind $inner.field <<Value>> \
-        [itcl::code $this AdjustSetting -field]
+        [itcl::code $this AdjustSetting field]
 
     label $inner.colormap_l -text "Colormap" -font "Arial 9" 
@@ -1736,24 +1636,40 @@
         Rappture::Combobox $inner.colormap -width 10 -editable no
     }
-
-    $inner.colormap choices insert end [GetColormapList]
+    $inner.colormap choices insert end \
+        "BCGYR"              "BCGYR"            \
+        "BGYOR"              "BGYOR"            \
+        "blue"               "blue"             \
+        "blue-to-brown"      "blue-to-brown"    \
+        "blue-to-orange"     "blue-to-orange"   \
+        "blue-to-grey"       "blue-to-grey"     \
+        "green-to-magenta"   "green-to-magenta" \
+        "greyscale"          "greyscale"        \
+        "nanohub"            "nanohub"          \
+        "rainbow"            "rainbow"          \
+        "spectral"           "spectral"         \
+        "ROYGB"              "ROYGB"            \
+        "RYGCB"              "RYGCB"            \
+        "brown-to-blue"      "brown-to-blue"    \
+        "grey-to-blue"       "grey-to-blue"     \
+        "orange-to-blue"     "orange-to-blue"   
+
     $itk_component(colormap) value "BCGYR"
     bind $inner.colormap <<Value>> \
-        [itcl::code $this AdjustSetting -colormap]
+        [itcl::code $this AdjustSetting colormap]
 
     blt::table $inner \
-        0,0 $inner.field_l      -anchor w -pady 2  \
-        0,1 $inner.field        -anchor w -pady 2  -fill x \
-        1,0 $inner.colormap_l   -anchor w -pady 2  \
-        1,1 $inner.colormap     -anchor w -pady 2  -fill x \
-        3,0 $inner.background_l -anchor w -pady 2 \
-        3,1 $inner.background   -anchor w -pady 2  -fill x \
-        5,0 $inner.wireframe    -anchor w -pady 2 -cspan 2 \
-        6,0 $inner.lighting     -anchor w -pady 2 -cspan 2 \
-        7,0 $inner.edges        -anchor w -pady 2 -cspan 2 \
-        8,0 $inner.outline      -anchor w -pady 2 -cspan 2 \
-        9,0 $inner.legend       -anchor w -pady 2 \
-        10,0 $inner.opacity_l   -anchor w -pady 2 \
-        10,1 $inner.opacity     -fill x   -pady 2 -fill x \
+        0,0 $inner.field_l   -anchor w -pady 2  \
+        0,1 $inner.field     -anchor w -pady 2  -fill x \
+        1,0 $inner.colormap_l -anchor w -pady 2  \
+        1,1 $inner.colormap   -anchor w -pady 2  -fill x \
+	3,0 $inner.background_l -anchor w -pady 2 \
+	3,1 $inner.background -anchor w -pady 2  -fill x \
+        5,0 $inner.wireframe -anchor w -pady 2 -cspan 2 \
+        6,0 $inner.lighting  -anchor w -pady 2 -cspan 2 \
+        7,0 $inner.edges     -anchor w -pady 2 -cspan 2 \
+        8,0 $inner.outline   -anchor w -pady 2 -cspan 2 \
+        9,0 $inner.legend    -anchor w -pady 2 \
+        10,0 $inner.opacity_l -anchor w -pady 2 \
+        10,1 $inner.opacity   -fill x   -pady 2 -fill x \
 
     blt::table configure $inner r* c* -resize none
@@ -1772,34 +1688,29 @@
 
     checkbutton $inner.visible \
-        -text "Axes" \
-        -variable [itcl::scope _settings(-axesvisible)] \
-        -command [itcl::code $this AdjustSetting -axesvisible] \
+        -text "Show Axes" \
+        -variable [itcl::scope _settings(axesVisible)] \
+        -command [itcl::code $this AdjustSetting axesVisible] \
         -font "Arial 9"
 
     checkbutton $inner.labels \
-        -text "Axis Labels" \
-        -variable [itcl::scope _settings(-axislabels)] \
-        -command [itcl::code $this AdjustSetting -axislabels] \
+        -text "Show Axis Labels" \
+        -variable [itcl::scope _settings(axisLabelsVisible)] \
+        -command [itcl::code $this AdjustSetting axisLabelsVisible] \
         -font "Arial 9"
-    label $inner.grid_l -text "Grid" -font "Arial 9" 
-    checkbutton $inner.xgrid \
-        -text "X" \
-        -variable [itcl::scope _settings(-xgrid)] \
-        -command [itcl::code $this AdjustSetting -xgrid] \
+
+    checkbutton $inner.gridx \
+        -text "Show X Grid" \
+        -variable [itcl::scope _settings(axisXGrid)] \
+        -command [itcl::code $this AdjustSetting axisXGrid] \
         -font "Arial 9"
-    checkbutton $inner.ygrid \
-        -text "Y" \
-        -variable [itcl::scope _settings(-ygrid)] \
-        -command [itcl::code $this AdjustSetting -ygrid] \
+    checkbutton $inner.gridy \
+        -text "Show Y Grid" \
+        -variable [itcl::scope _settings(axisYGrid)] \
+        -command [itcl::code $this AdjustSetting axisYGrid] \
         -font "Arial 9"
-    checkbutton $inner.zgrid \
-        -text "Z" \
-        -variable [itcl::scope _settings(-zgrid)] \
-        -command [itcl::code $this AdjustSetting -zgrid] \
-        -font "Arial 9"
-    checkbutton $inner.minorticks \
-        -text "Minor Ticks" \
-        -variable [itcl::scope _settings(-axisminorticks)] \
-        -command [itcl::code $this AdjustSetting -axisminorticks] \
+    checkbutton $inner.gridz \
+        -text "Show Z Grid" \
+        -variable [itcl::scope _settings(axisZGrid)] \
+        -command [itcl::code $this AdjustSetting axisZGrid] \
         -font "Arial 9"
 
@@ -1814,22 +1725,20 @@
         "furthest_triad"  "farthest" \
         "outer_edges"     "outer"         
-    $itk_component(axisMode) value $_settings(-axismode)
-    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting -axismode]
+    $itk_component(axisMode) value "static"
+    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting axisMode]
 
     blt::table $inner \
-        0,0 $inner.visible    -anchor w -cspan 4 \
-        1,0 $inner.labels     -anchor w -cspan 4 \
-        2,0 $inner.minorticks -anchor w -cspan 4 \
-        4,0 $inner.grid_l     -anchor w \
-        4,1 $inner.xgrid      -anchor w \
-        4,2 $inner.ygrid      -anchor w \
-        4,3 $inner.zgrid      -anchor w \
-        5,0 $inner.mode_l     -anchor w -padx { 2 0 } \
-        5,1 $inner.mode       -fill x   -cspan 3
+        0,0 $inner.visible -anchor w -cspan 2 \
+        1,0 $inner.labels  -anchor w -cspan 2 \
+        2,0 $inner.gridx   -anchor w -cspan 2 \
+        3,0 $inner.gridy   -anchor w -cspan 2 \
+        4,0 $inner.gridz   -anchor w -cspan 2 \
+        5,0 $inner.mode_l  -anchor w -cspan 2 -padx { 2 0 } \
+        6,0 $inner.mode    -fill x   -cspan 2 
 
     blt::table configure $inner r* c* -resize none
-    blt::table configure $inner r7 c6 -resize expand
-    blt::table configure $inner r3 -height 0.125i
-}
+    blt::table configure $inner r7 c1 -resize expand
+}
+
 
 itcl::body Rappture::VtkGlyphViewer::BuildCameraTab {} {
@@ -1851,5 +1760,4 @@
         0,0 $inner.view_l -anchor e -pady 2 \
         0,1 $inner.view -anchor w -pady 2
-    blt::table configure $inner r0 -resize none
 
     set labels { qx qy qz qw xpan ypan zoom }
@@ -1858,9 +1766,7 @@
         label $inner.${tag}label -text $tag -font "Arial 9"
         entry $inner.${tag} -font "Arial 9"  -bg white \
-            -textvariable [itcl::scope _view(-$tag)]
-        bind $inner.${tag} <Return> \
-            [itcl::code $this camera set -${tag}]
-        bind $inner.${tag} <KP_Enter> \
-            [itcl::code $this camera set -${tag}]
+            -textvariable [itcl::scope _view($tag)]
+        bind $inner.${tag} <KeyPress-Return> \
+            [itcl::code $this camera set ${tag}]
         blt::table $inner \
             $row,0 $inner.${tag}label -anchor e -pady 2 \
@@ -1871,6 +1777,6 @@
     checkbutton $inner.ortho \
         -text "Orthographic Projection" \
-        -variable [itcl::scope _view(-ortho)] \
-        -command [itcl::code $this camera set -ortho] \
+        -variable [itcl::scope _view(ortho)] \
+        -command [itcl::code $this camera set ortho] \
         -font "Arial 9"
     blt::table $inner \
@@ -1879,5 +1785,5 @@
     incr row
 
-    blt::table configure $inner c* -resize none
+    blt::table configure $inner c* r* -resize none
     blt::table configure $inner c2 -resize expand
     blt::table configure $inner r$row -resize expand
@@ -1896,39 +1802,39 @@
     checkbutton $inner.visible \
         -text "Cutplanes" \
-        -variable [itcl::scope _settings(-cutplanevisible)] \
-        -command [itcl::code $this AdjustSetting -cutplanevisible] \
+        -variable [itcl::scope _settings(cutplaneVisible)] \
+        -command [itcl::code $this AdjustSetting cutplaneVisible] \
         -font "Arial 9"
 
     checkbutton $inner.wireframe \
         -text "Wireframe" \
-        -variable [itcl::scope _settings(-cutplanewireframe)] \
-        -command [itcl::code $this AdjustSetting -cutplanewireframe] \
+        -variable [itcl::scope _settings(cutplaneWireframe)] \
+        -command [itcl::code $this AdjustSetting cutplaneWireframe] \
         -font "Arial 9"
 
     checkbutton $inner.lighting \
         -text "Enable Lighting" \
-        -variable [itcl::scope _settings(-cutplanelighting)] \
-        -command [itcl::code $this AdjustSetting -cutplanelighting] \
+        -variable [itcl::scope _settings(cutplaneLighting)] \
+        -command [itcl::code $this AdjustSetting cutplaneLighting] \
         -font "Arial 9"
 
     checkbutton $inner.edges \
         -text "Edges" \
-        -variable [itcl::scope _settings(-cutplaneedges)] \
-        -command [itcl::code $this AdjustSetting -cutplaneedges] \
+        -variable [itcl::scope _settings(cutplaneEdges)] \
+        -command [itcl::code $this AdjustSetting cutplaneEdges] \
         -font "Arial 9"
 
     checkbutton $inner.preinterp \
         -text "Interpolate Scalars" \
-        -variable [itcl::scope _settings(-cutplanepreinterp)] \
-        -command [itcl::code $this AdjustSetting -cutplanepreinterp] \
+        -variable [itcl::scope _settings(cutplanePreinterp)] \
+        -command [itcl::code $this AdjustSetting cutplanePreinterp] \
         -font "Arial 9"
 
     label $inner.opacity_l -text "Opacity" -font "Arial 9"
     ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
-        -variable [itcl::scope _settings(-cutplaneopacity)] \
+        -variable [itcl::scope _settings(cutplaneOpacity)] \
         -width 10 \
         -showvalue off \
-        -command [itcl::code $this AdjustSetting -cutplaneopacity]
-    $inner.opacity set $_settings(-cutplaneopacity)
+        -command [itcl::code $this AdjustSetting cutplaneOpacity]
+    $inner.opacity set $_settings(cutplaneOpacity)
 
     # X-value slicer...
@@ -1937,6 +1843,6 @@
             -onimage [Rappture::icon x-cutplane-red] \
             -offimage [Rappture::icon x-cutplane-red] \
-            -command [itcl::code $this AdjustSetting -cutplanexvisible] \
-            -variable [itcl::scope _settings(-cutplanexvisible)] \
+            -command [itcl::code $this AdjustSetting cutplaneXVisible] \
+            -variable [itcl::scope _settings(cutplaneXVisible)] \
     }
     Rappture::Tooltip::for $itk_component(xbutton) \
@@ -1948,6 +1854,6 @@
             -borderwidth 1 -highlightthickness 0 \
             -command [itcl::code $this EventuallySetCutplane x] \
-            -variable [itcl::scope _settings(-cutplanexposition)] \
-            -foreground red2 -font "Arial 9 bold"
+            -variable [itcl::scope _settings(cutplaneXPosition)] \
+	    -foreground red2 -font "Arial 9 bold"
     } {
         usual
@@ -1965,6 +1871,6 @@
             -onimage [Rappture::icon y-cutplane-green] \
             -offimage [Rappture::icon y-cutplane-green] \
-            -command [itcl::code $this AdjustSetting -cutplaneyvisible] \
-            -variable [itcl::scope _settings(-cutplaneyvisible)] \
+            -command [itcl::code $this AdjustSetting cutplaneYVisible] \
+            -variable [itcl::scope _settings(cutplaneYVisible)] \
     }
     Rappture::Tooltip::for $itk_component(ybutton) \
@@ -1977,6 +1883,6 @@
             -borderwidth 1 -highlightthickness 0 \
             -command [itcl::code $this EventuallySetCutplane y] \
-            -variable [itcl::scope _settings(-cutplaneyposition)] \
-            -foreground green3 -font "Arial 9 bold"
+            -variable [itcl::scope _settings(cutplaneYPosition)] \
+	    -foreground green3 -font "Arial 9 bold"
     } {
         usual
@@ -1994,9 +1900,9 @@
             -onimage [Rappture::icon z-cutplane-blue] \
             -offimage [Rappture::icon z-cutplane-blue] \
-            -command [itcl::code $this AdjustSetting -cutplanezvisible] \
-            -variable [itcl::scope _settings(-cutplanezvisible)] \
+            -command [itcl::code $this AdjustSetting cutplaneZVisible] \
+            -variable [itcl::scope _settings(cutplaneZVisible)] \
     } {
-        usual
-        ignore -foreground
+	usual
+	ignore -foreground
     }
     Rappture::Tooltip::for $itk_component(zbutton) \
@@ -2009,6 +1915,6 @@
             -borderwidth 1 -highlightthickness 0 \
             -command [itcl::code $this EventuallySetCutplane z] \
-            -variable [itcl::scope _settings(-cutplanezposition)] \
-            -foreground blue3 -font "Arial 9 bold"
+            -variable [itcl::scope _settings(cutplaneZPosition)] \
+	    -foreground blue3 -font "Arial 9 bold"
     } {
         usual
@@ -2021,21 +1927,24 @@
 
     blt::table $inner \
-        0,0 $inner.visible   -anchor w -pady 2 -cspan 3 \
-        1,0 $inner.lighting  -anchor w -pady 2 -cspan 3 \
-        2,0 $inner.wireframe -anchor w -pady 2 -cspan 3 \
-        3,0 $inner.edges     -anchor w -pady 2 -cspan 3 \
-        4,0 $inner.preinterp -anchor w -pady 2 -cspan 3 \
-        5,0 $inner.opacity_l -anchor w -pady 2 -cspan 1 \
-        5,1 $inner.opacity   -fill x   -pady 2 -cspan 3 \
-        6,0 $inner.xbutton   -anchor w -padx 2 -pady 2 \
-        7,0 $inner.ybutton   -anchor w -padx 2 -pady 2 \
-        8,0 $inner.zbutton   -anchor w -padx 2 -pady 2 \
-        6,1 $inner.xval      -fill y -rspan 4 \
-        6,2 $inner.yval      -fill y -rspan 4 \
-        6,3 $inner.zval      -fill y -rspan 4 \
+        0,0 $inner.visible              -anchor w -pady 2 -cspan 3 \
+        1,0 $inner.lighting             -anchor w -pady 2 -cspan 3 \
+        2,0 $inner.wireframe            -anchor w -pady 2 -cspan 3 \
+        3,0 $inner.edges                -anchor w -pady 2 -cspan 3 \
+        4,0 $inner.preinterp            -anchor w -pady 2 -cspan 3 \
+        5,0 $inner.opacity_l            -anchor w -pady 2 -cspan 1 \
+        5,1 $inner.opacity              -fill x   -pady 2 -cspan 3 \
+        6,0 $inner.xbutton		-anchor w -padx 2 -pady 2 \
+        7,0 $inner.ybutton		-anchor w -padx 2 -pady 2 \
+        8,0 $inner.zbutton		-anchor w -padx 2 -pady 2 \
+        6,1 $inner.xval			-fill y -rspan 4 \
+        6,2 $inner.yval			-fill y -rspan 4 \
+        6,3 $inner.zval			-fill y -rspan 4 \
+
 
     blt::table configure $inner r* c* -resize none
     blt::table configure $inner r9 c4 -resize expand
 }
+
+
 
 #
@@ -2048,13 +1957,13 @@
         }
         "set" {
-            set what [lindex $args 0]
-            set x $_view($what)
+            set who [lindex $args 0]
+            set x $_view($who)
             set code [catch { string is double $x } result]
             if { $code != 0 || !$result } {
                 return
             }
-            switch -- $what {
-                "-ortho" {
-                    if {$_view($what)} {
+            switch -- $who {
+                "ortho" {
+                    if {$_view(ortho)} {
                         SendCmd "camera mode ortho"
                     } else {
@@ -2062,14 +1971,14 @@
                     }
                 }
-                "-xpan" - "-ypan" {
+                "xpan" - "ypan" {
                     PanCamera
                 }
-                "-qx" - "-qy" - "-qz" - "-qw" {
-                    set q [ViewToQuaternion]
+                "qx" - "qy" - "qz" - "qw" {
+                    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
                     $_arcball quaternion $q
                     EventuallyRotate $q
                 }
-                "-zoom" {
-                    SendCmd "camera zoom $_view($what)"
+                "zoom" {
+                    SendCmd "camera zoom $_view(zoom)"
                 }
              }
@@ -2189,35 +2098,28 @@
     # the code to handle aberrant cases.
 
-    if { $_changed(-glyphopacity) } {
-        set style(-opacity) [expr $_settings(-glyphopacity) * 0.01]
-    }
-    if { $_changed(-colormap) } {
-        set style(-color) $_settings(-colormap)
+    if { $_changed(glyphOpacity) } {
+        set style(-opacity) $_settings(glyphOpacity)
+    }
+    if { $_changed(colormap) } {
+        set style(-color) $_settings(colormap)
     }
     if { $_currentColormap == "" } {
         $itk_component(colormap) value $style(-color)
     }
-
+    set _currentOpacity $style(-opacity)
+    SendCmd "glyphs add $style(-shape) $tag"
+    SendCmd "glyphs edges $style(-edges) $tag"
+    # normscale=1 and gscale=1 are defaults
+    if {$style(-normscale) != 1} {
+        SendCmd "glyphs normscale $style(-normscale) $tag"
+    }
+    if {$style(-gscale) != 1} {
+        SendCmd "glyphs gscale $style(-gscale) $tag"
+    }
     SendCmd "outline add $tag"
     SendCmd "outline color [Color2RGB $itk_option(-plotforeground)] $tag"
     SendCmd "outline visible $style(-outline) $tag"
-    set _settings(-glyphoutline) $style(-outline)
-
-    SendCmd "glyphs add $style(-shape) $tag"
-    set _settings(-glyphshape) $style(-shape)
-    $itk_component(gshape) value $style(-shape)
-    SendCmd "glyphs edges $style(-edges) $tag"
-    set _settings(-glyphedges) $style(-edges)
-
-    # normscale=1 and gscale=1 are defaults
-    if {$style(-normscale) != 1} {
-        SendCmd "glyphs normscale $style(-normscale) $tag"
-    }
-    if {$style(-gscale) != 1} {
-        SendCmd "glyphs gscale $style(-gscale) $tag"
-    }
-    set _settings(-glyphnormscale) $style(-normscale)
-    set _settings(-glyphscale) $style(-gscale)
-
+    set _settings(glyphOutline) $style(-outline)
+    set _settings(glyphEdges) $style(-edges)
     # constant color only used if colormode set to constant
     SendCmd "glyphs color [Color2RGB $itk_option(-plotforeground)] $tag"
@@ -2225,19 +2127,17 @@
     # defaults to active scalars or vectors depending on mode
     SendCmd "glyphs gorient $style(-orientGlyphs) {} $tag"
-    set _settings(-glyphorient) $style(-orientGlyphs)
     SendCmd "glyphs smode $style(-scaleMode) {} $tag"
-    set _settings(-glyphscalemode) $style(-scaleMode)
-    $itk_component(scaleMode) value "[$itk_component(scaleMode) label $style(-scaleMode)]"
     SendCmd "glyphs quality $style(-quality) $tag"
     SendCmd "glyphs lighting $style(-lighting) $tag"
-    set _settings(-glyphlighting) $style(-lighting)
+    set _settings(glyphLighting) $style(-lighting)
     SendCmd "glyphs linecolor [Color2RGB $style(-edgecolor)] $tag"
     SendCmd "glyphs linewidth $style(-linewidth) $tag"
     SendCmd "glyphs ptsize $style(-ptsize) $tag"
-    SendCmd "glyphs opacity $style(-opacity) $tag"
-    set _settings(-glyphopacity) [expr $style(-opacity) * 100.0]
+    SendCmd "glyphs opacity $_currentOpacity $tag"
+    set _settings(glyphOpacity) $style(-opacity)
     SetCurrentColormap $style(-color) 
     SendCmd "glyphs wireframe $style(-wireframe) $tag"
-    set _settings(-glyphwireframe) $style(-wireframe)
+    set _settings(glyphWireframe) $style(-wireframe)
+    set _settings(glyphOpacity) [expr $style(-opacity) * 100.0]
 }
 
@@ -2293,14 +2193,14 @@
 
     if { [string match "component*" $fname] } {
-        set title ""
+	set title ""
     } else {
-        if { [info exists _fields($fname)] } {
-            foreach { title units } $_fields($fname) break
-            if { $units != "" } {
-                set title [format "%s (%s)" $title $units]
-            }
-        } else {
-            set title $fname
-        }
+	if { [info exists _fields($fname)] } {
+	    foreach { title units } $_fields($fname) break
+	    if { $units != "" } {
+		set title [format "%s (%s)" $title $units]
+	    }
+	} else {
+	    set title $fname
+	}
     }
     # If there's a legend title, increase the offset by the line height.
@@ -2334,4 +2234,5 @@
 }
 
+
 # ----------------------------------------------------------------------
 # USAGE: Slice move x|y|z <newval>
@@ -2367,7 +2268,7 @@
 # ReceiveLegend -- 
 #
-#    Invoked automatically whenever the "legend" command comes in from
-#    the rendering server.  Indicates that binary image data with the
-#    specified <size> will follow.
+#	Invoked automatically whenever the "legend" command comes in from
+#	the rendering server.  Indicates that binary image data with the
+#	specified <size> will follow.
 #
 itcl::body Rappture::VtkGlyphViewer::ReceiveLegend { colormap title min max size } {
@@ -2383,6 +2284,6 @@
         #puts stderr "read $size bytes for [image width $_image(legend)]x[image height $_image(legend)] legend>"
         if { [catch {DrawLegend} errs] != 0 } {
-            global errorInfo
-            puts stderr "errs=$errs errorInfo=$errorInfo"
+	    global errorInfo
+	    puts stderr "errs=$errs errorInfo=$errorInfo"
         }
     }
@@ -2392,5 +2293,5 @@
 # DrawLegend --
 #
-#    Draws the legend in the own canvas on the right side of the plot area.
+#       Draws the legend in the own canvas on the right side of the plot area.
 #
 itcl::body Rappture::VtkGlyphViewer::DrawLegend {} {
@@ -2403,47 +2304,45 @@
     
     if { [string match "component*" $fname] } {
-        set title ""
+	set title ""
     } else {
-        if { [info exists _fields($fname)] } {
-            foreach { title units } $_fields($fname) break
-            if { $units != "" } {
-                set title [format "%s (%s)" $title $units]
-            }
-        } else {
-            set title $fname
-        }
+	if { [info exists _fields($fname)] } {
+	    foreach { title units } $_fields($fname) break
+	    if { $units != "" } {
+		set title [format "%s (%s)" $title $units]
+	    }
+	} else {
+	    set title $fname
+	}
     }
     set x [expr $w - 2]
-    if { !$_settings(-legendvisible) } {
-        $c delete legend
-        return
+    if { !$_settings(legendVisible) } {
+	$c delete legend
+	return
     } 
     if { [$c find withtag "legend"] == "" } {
-        set y 2 
-        # If there's a legend title, create a text item for the title.
+	set y 2 
+	# If there's a legend title, create a text item for the title.
         $c create text $x $y \
-            -anchor ne \
-            -fill $itk_option(-plotforeground) -tags "title legend" \
-            -font $font 
-        if { $title != "" } {
-            incr y $lineht
-        }
-        $c create text $x $y \
-            -anchor ne \
-            -fill $itk_option(-plotforeground) -tags "vmax legend" \
-            -font $font
-        incr y $lineht
-        $c create image $x $y \
-            -anchor ne \
-            -image $_image(legend) -tags "colormap legend"
-        $c create rectangle $x $y 1 1 \
-            -fill "" -outline "" -tags "sensor legend"
-        $c create text $x [expr {$h-2}] \
-            -anchor se \
-            -fill $itk_option(-plotforeground) -tags "vmin legend" \
-            -font $font
-        $c bind sensor <Enter> [itcl::code $this EnterLegend %x %y]
-        $c bind sensor <Leave> [itcl::code $this LeaveLegend]
-        $c bind sensor <Motion> [itcl::code $this MotionLegend %x %y]
+		-anchor ne \
+		-fill $itk_option(-plotforeground) -tags "title legend" \
+		-font $font 
+	    incr y $lineht
+	$c create text $x $y \
+	    -anchor ne \
+	    -fill $itk_option(-plotforeground) -tags "vmax legend" \
+	    -font $font
+	incr y $lineht
+	$c create image $x $y \
+	    -anchor ne \
+	    -image $_image(legend) -tags "colormap legend"
+	$c create rectangle $x $y 1 1 \
+	    -fill "" -outline "" -tags "sensor legend"
+	$c create text $x [expr {$h-2}] \
+	    -anchor se \
+	    -fill $itk_option(-plotforeground) -tags "vmin legend" \
+	    -font $font
+	$c bind sensor <Enter> [itcl::code $this EnterLegend %x %y]
+	$c bind sensor <Leave> [itcl::code $this LeaveLegend]
+	$c bind sensor <Motion> [itcl::code $this MotionLegend %x %y]
     }
     set x2 $x
@@ -2459,6 +2358,6 @@
     if { [info exists _limits($_curFldName)] } {
         foreach { vmin vmax } $_limits($_curFldName) break
-        $c itemconfigure vmin -text [format %g $vmin]
-        $c itemconfigure vmax -text [format %g $vmax]
+	$c itemconfigure vmin -text [format %g $vmin]
+	$c itemconfigure vmax -text [format %g $vmax]
     }
     set y 2
@@ -2466,6 +2365,6 @@
     if { $title != "" } {
         $c itemconfigure title -text $title
-        $c coords title $x $y
-        incr y $lineht
+	$c coords title $x $y
+	incr y $lineht
         $c raise title
     }
@@ -2509,5 +2408,5 @@
         invoke {
             $itk_component(field) value $_curFldLabel
-            AdjustSetting -field
+            AdjustSetting field
         }
         default {
@@ -2533,5 +2432,5 @@
 # BuildColormap --
 #
-#    Build the designated colormap on the server.
+#       Build the designated colormap on the server.
 #
 itcl::body Rappture::VtkGlyphViewer::BuildColormap { name } {
